<?php

namespace Payroll\Piece\Repositories\Eloquent;

use Payroll\Piece\Interfaces\PieceRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PieceRepository extends BaseRepository implements PieceRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('payroll.piece.piece.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('payroll.piece.piece.model');
    }
}
