<?php

namespace Payroll\Piece\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PieceListTransformer extends TransformerAbstract
{
    public function transform(\Payroll\Piece\Models\Piece $piece)
    {
        return [
            'id'                => $piece->getRouteKey(),
            'id'                => $piece->id,
            'code'              => $piece->code,
            'name'              => $piece->name,
            'rate'              => $piece->rate,
            'unit'              => $piece->unit,
            'description'       => $piece->description,
            'created_at'        => $piece->created_at,
            'updated_at'        => $piece->updated_at,
            'deleted_at'        => $piece->deleted_at,
            'status'            => trans('app.'.$piece->status),
            'created_at'        => format_date($piece->created_at),
            'updated_at'        => format_date($piece->updated_at),
        ];
    }
}