<?php

// Admin  routes  for piece
Route::group(['prefix' => '/admin/piece'], function () {
    Route::put('news/workflow/{piece}/{step}', 'PieceAdminController@putWorkflow');
    Route::resource('piece', 'PieceAdminController');
});


// User  routes for piece
Route::group(['prefix' => '/user/piece'], function () {
    Route::resource('piece', 'PieceUserController');
});

// Public  routes for piece
Route::group(['prefix' => '/pieces'], function () {
    Route::get('news/workflow/{piece}/{step}/{user}', 'PieceController@getWorkflow');
    Route::get('/', 'PiecePublicController@index');
    Route::get('/{slug?}', 'PiecePublicController@show');
});


